/* 
 * NSObject+G3DExtensions.m created by robert on 2000-12-22 16:41:11 +0000
 *
 * Project RenderKit
 *
 * Created with ProjectCenter - http://www.projectcenter.ch
 *
 * $Id: NSObject+G3DExtensions.m,v 1.1 2000/12/22 19:24:36 robert Exp $
 */

#import "NSObject+G3DExtensions.h"

NSString *G3DGenericObjectException = @"G3DGenericObjectException";

@implementation NSObject (G3DExtensions)

- (id)subclassHandlesSelector:(SEL)aSel
{
  [NSException raise:G3DGenericObjectException
	       format:@"Subclass should override %s!",sel_get_name(aSel)];
  
  return self;  
}

@end
